MesaLib Problems

none alvarommorais at gmail.com
Sun Dec 14 16:03:31 PST 2008


Hey!
I'm having some problems compiling MesaLib
I'm making a multi-lib box, and I already installed X libs both 64 and 
32 compilations.

...
/usr/bin/ld: skipping incompatible /usr/bin/../lib/libX11.so when 
searching for -lX11
/usr/bin/ld: skipping incompatible /usr/bin/../lib/libX11.a when 
searching for -lX11
/usr/bin/ld: skipping incompatible /usr/lib/libX11.so when searching for 
-lX11
/usr/bin/ld: skipping incompatible /usr/lib/libX11.a when searching for 
-lX11
/usr/bin/ld: cannot find -lX11
...

I have:

/usr/lib/libX11.a
/usr/lib/libX11.a
/usr/lib64/libX11.a
/usr/lib64/libX11.a

The version of MesaLib I'm trying to install is 6.5.2 and the libX11 
version is  libX11-1.1.2.tar.bz2

I've compiled all versions X Libs with this script I've made:
It's attached to this message.

I would thank anyone that have time to look in to this.
-------------- next part --------------
A non-text attachment was scrubbed...
Name: config.sh
Type: application/x-sh
Size: 1333 bytes
Desc: not available
URL: <http://lists.linuxfromscratch.org/pipermail/blfs-book/attachments/20081215/6e587e80/attachment.sh>


More information about the blfs-book mailing list